Skip to main content
GET
/
datasets
/
{datasetId}
Get a dataset
curl --request GET \
  --url https://api.adaline.ai/v2/datasets/{datasetId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "projectId": "<string>",
  "title": "<string>",
  "icon": {
    "type": "emoji",
    "value": "<string>"
  },
  "description": "<string>",
  "rowCount": 1,
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000,
  "columns": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "static",
      "settings": {},
      "createdAt": 17450965800000,
      "updatedAt": 17450965800000
    }
  ]
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

datasetId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Response

Dataset.

A dataset with its columns and metadata.

id
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
projectId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
title
string
required

Display title for an entity, up to 50 characters.

Required string length: 1 - 50
icon
Emoji Icon · object
required

Icon for an entity, either an emoji or an image URL.

description
string
required
Maximum string length: 100
rowCount
integer
required
Required range: x >= 0
createdAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

Unix timestamp in milliseconds.

Required range: 1672511400000 <= x <= 33229420200000
columns
(Static Column · object | Prompt Column · object | API Column · object)[]
required

A dataset column, discriminated by type. Static columns have optional empty settings. Prompt columns require promptId. API columns require method + url.